# Verbosity
Date: 2013-02-18

## org.simpleframework.xml.stream
Enum Verbosity

    java.lang.Object
      java.lang.Enum<Verbosity>
          org.simpleframework.xml.stream.Verbosity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Verbosity>

    public enum Verbosity

extends java.lang.Enum<Verbosity>

The `Verbosity` enumeration is used to specify a verbosity preference for the resulting XML. Typically the verbosity preference is used when serializing an object that does not have explicit XML annotations associated with a type. In such a scenario this will indicate whether a high verbosity level is required or a low one.

Author:
  Niall Gallagher
See Also:
  `Format`

Enum Constant Summary
`HIGH` This specifies a preference for elements over attributes.
`LOW` This specifies a preference for attributes over elements.

Method Summary
`static Verbosity` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Verbosity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HIGH

    public static final Verbosity HIGH

  This specifies a preference for elements over attributes.

### LOW

    public static final Verbosity LOW

  This specifies a preference for attributes over elements.

Method Detail

### values

    public static Verbosity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Verbosity c : Verbosity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Verbosity valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null